<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");
      label.required {
        font-weight: bold;
        color: #990033;
      }
      label.optional {
        font-weight: bold;
      }
      tr.odd { background-color: #FFF; }
      tr.even { background-color: #DEDEDE; }
    </style>
  </head>

  <body>
    <form name="form" action="<%=response.encodeURL("action.jsp")%>" method="POST">
      <div id="header">
        <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
        <% String pageURL = action+"Event.jsp"; %>
        <input type="hidden" name="pageURL" value="<%=pageURL%>"/>
        <%
        String tab = request.getParameter( "tab" );
        if ( tab != null )
        {
          %>
          <input type="hidden" name="tab" value="<%=tab%>"/>
          <%
        }
        tab = (tab == null ? "" : tab);
        Incident event = (Incident)session.getAttribute("event");
        List<Field> fields = new ArrayList<Field>();
        Collection<String> requiredFields = new ArrayList<String>();
        %>
        <%@ include file="initialize.jsp"%>
        <%

        if ( event != null )
        {
            %>
            <%@ include file="eventMenu.jsp"%>
            <%@ include file="eventContent.jsp"%>

          <br><%
          String msgtext = (String)event.getFormattedMessage();
          String header;
          if (msgtext != null && msgtext.length() > 0) {
              header = "HPNNMi - " + msgtext;
          } else {
              header = "HPNNMi";
          }
          int MAX_HEADER = 26;
          if( header.length() > MAX_HEADER )
          {
            header = header.substring(0, MAX_HEADER-3) + "...";
          }
          out.print(header);

        }
        %>


      </div>

      <div id="content">
        <%
        if( request.getParameter("errorMessage") != null )
        {
          // parse the error message to just show the problem
          String parsedErrorMessage = "";
          String[] errorMessages = request.getParameter( "errorMessage" ).split(";");
          if (errorMessages.length > 1) {
            for (int x=1; x < errorMessages.length; x++) {
              parsedErrorMessage += errorMessages[x];
            }
          } else {
            parsedErrorMessage = errorMessages[0];
          }
          out.print( "<div class=\"msg-error\">" + parsedErrorMessage + "</div>" );
        }
        else if ( request.getParameter("message") != null )
        {
          out.print( "<div class=\"msg-success\">" + request.getParameter("message") + "</div>" );
        }

        if ( event != null )
        {
          if ( "ChildIncidents".equals( tab ) )
          {
            %><%@include file="childIncidents.jsp"%><%
          }
          else
          {
          %>
          <table class="no-border">
          <%
            // Render all Fields defined in createFields or updateFields
            for ( Field field : fields )
            {
              String label = field.getLabel();
              FieldType type = field.getType();
              String labelAttr = " class=\"optional\"";
              String value = (String)field.getValue();

              if ( FieldType.HIDDEN.equals( type ) )
              {
                %><input type="hidden" name="<%=label%>" value="<%=value%>"/><%
                continue;
              }

                if (field.getRequired()) {
                  labelAttr = " class=\"required\"";
                }

                %>
                <a name="<%=label%>"/>
                <tr>
                  <td class="align-right"><label<%=labelAttr%>><%=label%>:</label></td>
                  <td>
                <%


              // Display a field according to field Type
              %><%@include file="eventField.jsp"%><%

              // Display End row tag if field type is not Table
              if ( !(type.equals(FieldType.TABLE)) )
              {
              %>
                </td>
              </tr>
              <%
              }
            }
            %>
            <tr>
              <td class="no-border"></td>
              <%
              if ( tab.equals( "AddAnnotation" ) )
              {
              %>
              <td class="no-border"><input type="submit" name="action" value="Update Notes" /></td>
              <%
              }
              else if ( tab.equals( "Basics" ) )
              {
              %>
              <td class="no-border"><input type="submit" name="action" value="Save" /></td>
              <%
              }
              else if ( tab.equalsIgnoreCase( "actions" ) )
              {
              %>
              <td class="no-border"><input type="submit" name="action" value="Perform Action" /></td>
              <%
              }
              %>
            </tr>
          </table>
          <%

          }
        }
        %>
      </div>

    </form>


    <%@ include file="standardFooter.jsp"%>
  </body>
</html>
