<%@ include file="includes/defaultImports.jsp"%>

<html>
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");

      table td.sev-critical {
        background: #FF0000;  /*Red*/
        font-weight: bold;
        color: #FFFFFF;
        white-space: nowrap;
      }

      table td.sev-major {
        background: #ff8000; /*Orange*/
        white-space: nowrap;
      }

      table td.sev-minor {
        background: #ffff00;  /*Yellow*/
        white-space: nowrap;
      }

      table td.sev-warning {
        background: #00ffff;  /*Light-Blue*/
        white-space: nowrap;
      }

      table td.sev-normal {
        background: #09ff0e;  /*Green*/
        white-space: nowrap;
      }

      table td.sev-unknown {
        background: #0080ff;  /*Blue*/
        color: #FFFFFF;
        white-space: nowrap;
      }

      table td.sev-owner {
        background: #ff92aa;  /*Pink*/
        white-space: nowrap;
      }

      table td.sev-owned {
        background: #ffffcc;  /*Ligh-Yellow*/
        white-space: nowrap;
      }

      tr.odd { background-color: #FFF; }
      tr.even { background-color: #DEDEDE; }
    </style>
  </head>

  <body>
    <div id="header">
      <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
      <%
      String message = "";
      String pageURL = "listEvents.jsp";
      String fullCount = null;
      List<Incident> eventHeaders = (List<Incident>)session.getAttribute( "eventHeaders" );

      response.setHeader("Cache-Control", "NO-CACHE");
      response.setDateHeader("Expires", 0 );

      String title = request.getParameter( "listAttribute" );
      if (title == null) {
        title = "Incidents";
      } else {
        title = title + " Incidents";
      }
      session.setAttribute("listTitle", title);

      String listName = request.getParameter( "listAttribute" );
      if ( listName != null && listName.length() > 0 ) {
        session.setAttribute("listAttribute", listName);
        eventHeaders = (List<Incident>)session.getAttribute( listName );
        if (eventHeaders == null) {
            ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
            ExternalServiceResponse resps;
            esr.setAction("getIncidents");
            esr.addToken("filter" , MAIN_MENU_OPTIONS.get( listName ));
            %>
            <%@ include file="includes/sendRequest.jsp"%>
            <%
            eventHeaders = (List<Incident>)resps.getResponse();
        }
      }
      if( eventHeaders == null )
      {
          eventHeaders = new ArrayList<Incident>();
      }
      if( request.getParameter("queryString") != null )
      {
        ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
        ExternalServiceResponse resps;
        esr.setAction( "getIncidents" );
        esr.addToken("filter" , MAIN_MENU_OPTIONS.get( listName ));
        esr.addToken( "service", "Search" );
        %>
        <%@ include file="includes/sendRequest.jsp"%>
        <%
        eventHeaders = (List<Incident>)resps.getResponse();
      }
      if (fullCount != null && fullCount.length() > 0) {
      %>
      <H1><a href="JavaScript:window.location.reload()"><%=title%></a> [<%=eventHeaders.size()%> of <%=fullCount%>]</H1>
      <%
      } else {
      %>
      <H1><a href="JavaScript:window.location.reload()"><%=title%></a> [<%=eventHeaders.size()%>]</H1>
      <%
      }
      %>
    </div>
    <div id="content">
      <%=message%>
      <%@ include file="includes/tableOfEvents.jsp"%>
    </div>

    <%@ include file="includes/standardFooter.jsp"%>
  </body>
</html>
