<%@ page import="org.springframework.web.context.WebApplicationContext"%>
<%@ page import="org.springframework.web.context.support.WebApplicationContextUtils "%>
<%@ page import="com.invoqsystems.apex.services.view.LicenseService"%>

<%@ include file="includes/defaultImports.jsp"%>

<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");
      label.required {
        font-weight: bold;
        color: #990033;
      }
      li.odd { background-color: #FFF; }
      li.even { background-color: #DEDEDE; }
    </style>
  </head>

  <body>
  <a id="top" name="top"></a>

  <!---+
       + Header
       +--->
  <div id="header">
    <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
    <h1>HP NNMi Menu</h1>
  </div>

  <!---+
       + Main content
       +--->
  <div id="content">
      <%
      MobileGatewayUser user = mobileGatewaySession.getUser();
      String nnmiUser = (String)request.getParameter("nnmiUser");
      String nnmiPass = (String)request.getParameter("nnmiPass");

      if ( nnmiUser == null )
      {
        nnmiUser = (String)session.getAttribute("nnmiUser");
      }
      if ( nnmiPass == null )
      {
        nnmiPass = (String)session.getAttribute("nnmiPass");
      }

      try
      {
        if ( nnmiUser == null )
        {
          nnmiUser = user.getCustomField( HPNNMI_USER_NAME_FIELD );
        }
        if ( nnmiPass == null )
        {
          nnmiPass = user.getCustomField( HPNNMI_PASSWORD_FIELD );
        }
      } catch( Exception e ) {
      }

      if ( nnmiUser != null )
      {
        ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
        ExternalServiceResponse resps;
        esr.setAction("validateCreds");
        esr.addToken("nnmiUser", nnmiUser);
        esr.addToken("nnmiPass", nnmiPass);

        WebApplicationContext context = WebApplicationContextUtils.getRequiredWebApplicationContext(application);
        LicenseService licenseService = (LicenseService)context.getBean("licenseService");;

        %>
        <%@ include file="includes/sendRequest.jsp"%>
        <%

      }
      session.setAttribute( "nnmiUser", nnmiUser );
      session.setAttribute( "nnmiPass", nnmiPass );

      if(nnmiUser == null)
      //Display HP OM-U Login Page
      {
      %>
      <form method="POST" action="<%=response.encodeURL("menu.jsp")%>">

        <table class="no-border">
          <tr>
            <td class="align-right"><label class="required">HP NNMi Login:</label></td>
            <td><input type="text" name="nnmiUser"/></td>
          </tr>
          <tr>
            <td class="align-right"><label class="required">HP NNMi Pass:</label></td>
            <td><input type="password" name="nnmiPass"/></td>
          </tr>
          <tr>
            <td></td>
            <td><input type="submit" name="Login" value="Login"/></td>
          </tr>
        </table>
      </form>
      <%
      }
      else
      {
        session.removeAttribute("LoginRetries");
        String oddeven = "odd";
      %>
      <ul>
        <li class="<%=oddeven%>" ><a href="<%=response.encodeURL("queryEvents.jsp")%>">Query HP NNMi Incidents</a></li>
        <li class="<%=oddeven%>" >Filtered Reports:</a></li>
        <p/>
        <%
        if ( MAIN_MENU_COUNTS )
        {
          ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
          ExternalServiceResponse resps;
          for (String option : MAIN_MENU_OPTIONS.keySet()) {
            String count = "";
            com.hp.ov.nms.sdk.incident.IncidentBeanServiceStub.Filter filter = MAIN_MENU_OPTIONS.get( option );

            esr.setAction("getIncidentCounts");
            esr.addToken("filter" , filter);
          }
          %>
          <%@ include file="includes/sendRequest.jsp"%>
          <%

          Map<String, String> countResults = (Map<String, String>)resps.getResponse();

          //          session.setAttribute( option, optionResults );
          String failureMessage = null;
          for (String option : MAIN_MENU_OPTIONS.keySet()) {
            String count;
            String value = countResults.get(MAIN_MENU_OPTIONS.get(option));
            if (value != null) {
                count = "[" + value + "] ";
                if ("Unknown".equalsIgnoreCase(value)) {
                    failureMessage = "Problem retrieving counts from OM-U";
                }
            } else {
                count = "[ Unknown ] ";
                failureMessage = "Error retrieving counts from OM-U";
            }
            String queryString = "?listAttribute=" + StringEscapeUtils.escapeXml(option)
                                 + "&listTitle=" + StringEscapeUtils.escapeXml(option);
            String optionURL = response.encodeURL("listEvents.jsp"+queryString);
            if ("odd".equals(oddeven)) {
                oddeven = "even";
            } else {
                oddeven = "odd";
            }
            %>
            <li class="<%=oddeven%>"><b><%=count%></b><a href="<%=optionURL%>"><%=option%> Incidents</a></li>
            <%
          }

          if (failureMessage != null) {
              out.print("<div class=\"msg-error\">"+failureMessage+"</div>");
          }
        } else {
          for (String option : MAIN_MENU_OPTIONS.keySet()) {
            String queryString = "?listAttribute=" + StringEscapeUtils.escapeXml(option)
                                 + "&listTitle=" + StringEscapeUtils.escapeXml(option);
            String optionURL = response.encodeURL("listEvents.jsp"+queryString);
            if ("odd".equals(oddeven)) {
                oddeven = "even";
            } else {
                oddeven = "odd";
            }
            %>
            <li class="<%=oddeven%>"><a href="<%=optionURL%>"><%=option%> Incidents</a></li>
            <%
          }
        }
        %>
        <li>&nbsp;</li>
      </ul>
        <%
      }
      %>
    </div>

    <%@ include file="includes/standardFooter.jsp"%>
  </body>
</html>
