
<%@ page import="com.hp.ov.nms.sdk.incident.IncidentBeanServiceStub.Operator"%>

<%@ include file="includes/defaultImports.jsp"%>

<html>
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");

      table td.sev-critical {
        background: #FF0000;  /*Red*/
        font-weight: bold;
        color: #FFFFFF;
        white-space: nowrap;
      }

      table td.sev-major {
        background: #ff8000; /*Orange*/
        white-space: nowrap;
      }

      table td.sev-minor {
        background: #ffff00;  /*Yellow*/
        white-space: nowrap;
      }

      table td.sev-warning {
        background: #00ffff;  /*Light-Blue*/
        white-space: nowrap;
      }

      table td.sev-normal {
        background: #09ff0e;  /*Green*/
        white-space: nowrap;
      }

      table td.sev-unknown {
        background: #0080ff;  /*Blue*/
        color: #FFFFFF;
        white-space: nowrap;
      }

      table td.sev-owner {
        background: #ff92aa;  /*Pink*/
        white-space: nowrap;
      }

      table td.sev-owned {
        background: #ffffcc;  /*Ligh-Yellow*/
        white-space: nowrap;
      }

      tr.odd { background-color: #FFF; }
      tr.even { background-color: #DEDEDE; }
    </style>
  </head>

  <body>
    <div id="header">
      <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
      <%
      // Pagination
      String pageURL = "queryEvents.jsp";
      String queryLink = response.encodeURL("queryEvents.jsp");
      if ( request.getParameter("page") != null && session.getAttribute("eventHeaders") != null )
      {
        List<Incident> eventHeaders = (List)session.getAttribute("eventHeaders");
        if ( eventHeaders == null )
          eventHeaders = new ArrayList<Incident>();
        %>
        <H1>Query Incidents [<%=eventHeaders.size()%>]</H1>
        </div>
        <div id="content">
        <%@ include file="includes/tableOfEvents.jsp"%>
        <br>
        <a href="<%=response.encodeURL("queryEvents.jsp")%>">New Query</a>
        <%
      }
      // New Query
      else if(request.getParameter("field_0") == null && request.getParameter("field_1") == null && request.getParameter("field_2") == null)
      {
      %>
      <H1>Query Incidents</H1>
    </div>
    <div id="content">
      <form name="fields" method="POST" action="<%=queryLink %>">
        <table>
          <tr>
            <td class="align-right"><label>Severity:</label></td>
            <td>
              <select name="severity">
                <option value=""></option>
                <option value="CRITICAL">Critical</option>
                <option value="MAJOR">Major</option>
                <option value="MINOR">Minor</option>
                <option value="WARNING">Warning</option>
                <option value="NORMAL">Normal</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="align-right"><label>Priority:</label></td>
            <td>
              <select name="priority">
                <option value=""></option>
                <option value="TOP">Top</option>
                <option value="HIGH">High</option>
                <option value="MEDIUM">Medium</option>
                <option value="LOW">Low</option>
                <option value="NONE">None</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="align-right"><label>Message Group:</label></td>
            <td>
              <select name="sourceType">
                <option value=""></option>
                <option value="NODE">Node</option>
                <option value="INTERFACE">Interface</option>
                <option value="IPADDRESS">IPAddress</option>
                <option value="IPSUBNET">IPSubnet</option>
                <option value="L2CONNECTION">L2Connection</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="align-right"><label>Lifecycle State:</label></td>
            <td>
              <select name="lifecycleState">
                <option value=""></option>
                <option value="REGISTERED">Registered</option>
                <option value="INPROGRESS">InProgress</option>
                <option value="COMPLETED">Completed</option>
                <option value="CLOSED">Closed</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="align-right"><label>Family:</label></td>
            <td>
              <select name="family">
                <option value=""></option>
                <option value="ADDRESS">Address</option>
                <option value="INTERFACE">Interface</option>
                <option value="NODE">Node</option>
                <option value="OSPF">OSPF</option>
                <option value="HSRP">HSRP</option>
                <option value="AGGREGATE_PORT">Agg Port</option>
                <option value="BOARD">Board</option>
                <option value="CONNECTION">Connection</option>
                <option value="CORRELATION">Correlation</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="align-right"><label>Category:</label></td>
            <td>
              <select name="category">
                <option value=""></option>
                <option value="FAULT">Fault</option>
                <option value="STATUS">Status</option>
                <option value="CONFIG">Config</option>
                <option value="ACCOUNTING">Accounting</option>
                <option value="PERFORMANCE">Performance</option>
                <option value="SECURITY">Security</option>
                <option value="ALERT">Alert</option>
              </select>
            </td>
          </tr>
        </table>
        <table>
          <tr>
            <th>Field</th>
            <th>Op</th>
            <th>Value</th>
          </tr>
        <%
        for ( int i=0; i < NUM_SEARCH_FIELDS; i++ )
        {
        %>
          <tr>
            <td>
              <select name="field_<%=i%>">
              <option value=""></option>
              <%
              for(String field : searchFieldsDisplay.keySet())
              {
              %>
                <option value="<%=field %>"><%=searchFieldsDisplay.get(field)%></option>
              <%
              }
              %>
              </select>
            </td>
            <td>
              <select name="field_<%=i%>_operator">
                <option value="EQ">=</option>
                <option value="NE">!=</option>
                <option value="LIKE">like</option>
              </select>
            </td>
            <td>
              <input type="text" name="field_<%=i%>_value" size="14" />
            </td>
          </tr>
        <%
        }
        %>
        </table>
        <input name="submit" type="submit" />
      </form>
      <br/>
      Values are case sensitive.<br/>
      Wild cards may be used with the like Op. "%example%"
      <%
      }
      // Return result
      else
      {
        HPNNMIQueryObject query = new HPNNMIQueryObject();

        // Build Query Filters
        String sev = request.getParameter( "severity" );
        if (sev != null && sev.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("severity", Operator.EQ, sev);
            query.addField(qField);
        }

        String priority = request.getParameter( "priority" );
        if (priority != null && priority.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("priority", Operator.EQ, IncidentPriority.valueOf(priority).getIncidentPriority());
            query.addField(qField);
        }

        String sourceType = request.getParameter( "sourceType" );
        if (sourceType != null && sourceType.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("sourceType", Operator.EQ, IncidentSourceType.valueOf(sourceType).getIncidentSourceType());
            query.addField(qField);
        }

        String lifecycleState = request.getParameter( "lifecycleState" );
        if (lifecycleState != null && lifecycleState.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("lifecycleState", Operator.EQ, IncidentLifecycleState.valueOf(lifecycleState).getLifecycleState());
            query.addField(qField);
        }

        String family = request.getParameter( "family" );
        if (family != null && family.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("family", Operator.EQ, IncidentFamily.valueOf(family).getIncidentFamily());
            query.addField(qField);
        }

        String category = request.getParameter( "category" );
        if (category != null && category.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("category", Operator.EQ, IncidentCategory.valueOf(category).getIncidentCategory());
            query.addField(qField);
        }

        int fieldCount = 0;

        while ( fieldCount < NUM_SEARCH_FIELDS )
        {
          String field = "field_" + fieldCount++;
          String fieldName = request.getParameter( field );
          if ( fieldName != null && fieldName.length() > 0 )
          {
            HPNNMIQueryField qField = new HPNNMIQueryField();
            qField.setField( fieldName );

            String fieldOperator = request.getParameter( field + "_operator" );
            if (fieldOperator.equals("EQ"))
              qField.setOperator( Operator.EQ );
            if (fieldOperator.equals("NE"))
              qField.setOperator( Operator.NE );
            if (fieldOperator.equals("LIKE"))
              qField.setOperator( Operator.LIKE );

            String fieldValue = request.getParameter( field + "_value" );
            qField.setValue( fieldValue );
            query.addField( qField );
          }
        }

        String message = "";

        ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
        ExternalServiceResponse resps;
        esr.setAction("getIncidents");
        if (lifecycleState != null && lifecycleState.length() > 0) {
          esr.addToken( "filter", query.getFilter() );
        } else {
          esr.addToken( "filter", IncidentFilter.addActiveFilter(query.getFilter()) );
        }
        %>
        <%@ include file="includes/sendRequest.jsp"%>
        <%
        List<Incident> eventHeaders = new ArrayList<Incident>();
        eventHeaders = (List<Incident>)resps.getResponse();

        session.setAttribute( "eventHeaders", eventHeaders );
        session.removeAttribute( "listTitle" );
        session.removeAttribute( "listAttribute" );
        %>
        <H1>Query Incidents [<%=eventHeaders.size()%>]</H1>
        </div>
        <div id="content">
        <%=message%>
        <%@ include file="includes/tableOfEvents.jsp"%>
        <br>
        <a href="<%=response.encodeURL("queryEvents.jsp")%>">New Query</a>
        <%
      }
      %>
    </div>

    <%@ include file="includes/standardFooter.jsp"%>
  </body>
</html>
